package gui;

import java.awt.Graphics2D;
import java.awt.event.ActionEvent;
import java.awt.event.MouseEvent;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JTabbedPane;
import javax.swing.event.ListSelectionEvent;

import events.EntityDrawboxChangedEvent;
import events.EntityDrawboxChangedListener;
import events.EntityHitboxChangedEvent;
import events.EntityHitboxChangedListener;
import model.Hitbox;
import model.HitboxRectangle;
import model.Point;


public class HitboxEditor extends Editable {

	HitboxEditor(ListGUI listGUI) {
		super(listGUI);
		
		canvas = new EditableCanvas();
		add(canvas);
        canvas.setHitboxRectengleRenderingFunction();
        canvas.setVisible(true);
        
        clearLinesJButton.addActionListener((e)->{
        	if(entity != null) {
        		HitboxRectangle nowHitbox = (HitboxRectangle)entity.getHitbox();
        		System.out.println("1. nowHitbox.getListPointsIso().size() = "+ nowHitbox.getListPointsIso().size());
        		nowHitbox.getListPointsIso().clear();
        		System.out.println("2. nowHitbox.getListPointsIso().size() = "+ nowHitbox.getListPointsIso().size());
        		System.out.println("1. nowHitbox.getListPointsCartesian().size() = "+ nowHitbox.getListPointsCartesian().size() );
        		nowHitbox.getListPointsCartesian().clear();
        		System.out.println("2. nowHitbox.getListPointsCartesian().size() = "+ nowHitbox.getListPointsCartesian().size());
				canvas.getHitboxRectengleRenderFunct().getLocalListPointsCartesian().clear();
				canvas.getHitboxRectengleRenderFunct().getLocalListPointsIso().clear();
				canvas.getHitboxRectengleRenderFunct().setFirstIsoPointIsNull();
				canvas.repaint();
			}
        });
	}
	
	//НАДО ДОБАВИТЬ ЧТО БЫ ПОД КОНЕЦ РИСОВАНИЯ ХИТБОКСА ОНО ВЫЗЫВАЛО ФУНКЦИЮ И ВСЕ СОХРАНЯЛО.
	//СОХРАНЕНИЕ УЖЕ РЕАЛИЗОВАНО.
	//НО НЕ ДОБАВЛЕН ВЫЗОВ ФУНКЦИИ И НЕ ОФОРМЛЕНА ПОДПИСКА 
	//UPD: вроде подписку оформил в MainGUI;
	



}
